// COM32Dlg.h : header file
//

#if !defined(AFX_COM32DLG_H__828582DD_7984_4807_9233_07A7086BB8A1__INCLUDED_)
#define AFX_COM32DLG_H__828582DD_7984_4807_9233_07A7086BB8A1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "com.h"
#include "DlgMessage.h"
#include "DlgDownload.h"
#include "DlgUpgrade.h"
#include "BtnST.h"

/////////////////////////////////////////////////////////////////////////////
// CCOM32Dlg dialog

class CCOM32Dlg : public CDialog
{
// Construction
public:
	void LoadAllLanguage();
	void FindCom();
	CCOM32Dlg(CWnd* pParent = NULL);	// standard constructor
	
	void OnReceiveData(WPARAM,LPARAM);
// Dialog Data
	//{{AFX_DATA(CCOM32Dlg)
	enum { IDD = IDD_COM32_DIALOG };
	CComboBox	m_cmbLang;
	CComboBox	m_bandRate;
	CButton	m_btn_comstop;
	CButton	m_btn_comstart;
	CComboBox	m_cmb_comlist;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCOM32Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:	
	
	BOOL Match_Sensor(const char *sbuf, char *cbuf,char *strResult=NULL);
	BOOL ReadFileLine(char *buf,UINT *len);
	HICON m_hIcon;

	Ccom * com1;
	CDlgMessage		m_dlgMessage;
	CDlgDownload	m_dlgDownload;
	CDlgUpgrade		m_dlgUpgrade;

	CFile	m_hexFile;
	CFile	m_downloadFile;
	UINT	m_nFileLen;
	CString m_strPath;
	char	m_TxBuf[MAX_PATH];
	char	m_szCommand[32];
	char	m_szParse[MAX_PATH];
	char	m_szTemp[MAX_PATH];

	UINT	m_sendErrFlag;
	BOOL	m_openFileFlag;
	BOOL	m_downloadFlag;
	BOOL	m_downFileOpenFlag;
	BOOL	m_downFileStartFlag;

	// Generated message map functions
	//{{AFX_MSG(CCOM32Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnComstart();
	afx_msg void OnBtnComstop();
	afx_msg void OnDestroy();
	afx_msg void OnButtonBrowse();
	afx_msg void OnButtonDownload();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButtonBrowseData();
	afx_msg void OnButtonDownloadData();
	afx_msg void OnButtonErase();
	afx_msg void OnSelchangeComboBandrate();
	afx_msg void OnSelchangeComlist();
	afx_msg void OnButtonVer();
	afx_msg void OnSelchangeComboLanguage();
	//}}AFX_MSG
	afx_msg BOOL OnDeviceChange(UINT nEventType, DWORD dwData); // ***For Surprise Removal Handling***
	afx_msg void OnDownLoadHex(WPARAM wParam,LPARAM lParam);
	afx_msg void OnDownloadFile(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COM32DLG_H__828582DD_7984_4807_9233_07A7086BB8A1__INCLUDED_)
