// DlgDownload.cpp : implementation file
//

#include "stdafx.h"
#include "COM32.h"
#include "DlgDownload.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgDownload dialog
UINT WM_SOLMETADOWNLOAD	= RegisterWindowMessage(_T("SOLMETA DOWNLOAD GPS DATA MESSAGE"));

CDlgDownload::CDlgDownload(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgDownload::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgDownload)
	//}}AFX_DATA_INIT
}


void CDlgDownload::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgDownload)
	DDX_Control(pDX, IDC_PROGRESS_DOWNLOAD, m_progress);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgDownload, CDialog)
	//{{AFX_MSG_MAP(CDlgDownload)
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
	ON_REGISTERED_MESSAGE(WM_SOLMETADOWNLOAD,OnDownloadMessage)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgDownload message handlers

BOOL CDlgDownload::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_dwProgress	= 0;
	m_progress.SetRange(0,10);
	m_progress.SetPos(m_dwProgress);
	m_dwTimeCnt	= 0;

	_stprintf(m_szTime,_T("%02d:%02d;%02d"),0,0,0);
	GetDlgItem(IDC_STATIC_DOWNLOADTIME)->SetWindowText(m_szTime);
	SetTimer(2,200,NULL);	

	GetDlgItem(IDOK)->EnableWindow(FALSE);
	
	g_SetDialogStrings(this,IDD);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CDlgDownload::OnTimer(UINT nIDEvent) 
{
	// TODO: Add your message handler code here and/or call default
	static DWORD timecnt	= 0;
	static DWORD procnt		= 0;
	if(nIDEvent==2)
	{
		m_progress.SetPos((++procnt)%10);
	}
	else if(nIDEvent==3)
	{
		m_dwProgress	= (++m_dwProgress)%10;
		m_progress.SetPos(m_dwProgress);
		timecnt	= (++timecnt)%5;
		if(timecnt==0)
		{
			m_dwTimeCnt ++;
			int isec	= m_dwTimeCnt%60;
			int imin	= ((m_dwTimeCnt-isec)/60)%60;
			int ihour	= (m_dwTimeCnt-imin*60-isec)/3600;
			_stprintf(m_szTime,_T("%02d:%02d:%02d"),ihour,imin,isec);
			GetDlgItem(IDC_STATIC_DOWNLOADTIME)->SetWindowText(m_szTime);
		}
	}
	
	CDialog::OnTimer(nIDEvent);
}

void CDlgDownload::OnDownloadMessage(WPARAM wParam, LPARAM lParam)
{
	if(wParam==1)
	{
		GetDlgItem(IDC_STATIC_TEXT)->SetWindowText(g_LoadString(_T("IDS_DLGDOWN_STATUS")));//_T("Downloading Status ......")
		KillTimer(2);
		SetTimer(3,200,NULL);
	}
	else if(wParam==2)
	{
		KillTimer(3);
		GetDlgItem(IDC_STATIC_TEXT)->SetWindowText(g_LoadString(_T("IDS_DLGDOWN_COMPLETED")));//_T("Download Completed ......")
		int ilow,iupper;
		m_progress.GetRange(ilow,iupper);
		m_progress.SetPos(iupper);
		GetDlgItem(IDOK)->EnableWindow(TRUE);
	}
	else if(wParam==3)
	{
		KillTimer(2);
		KillTimer(3);
		GetDlgItem(IDC_STATIC_TEXT)->SetWindowText(g_LoadString(_T("IDS_DLGDOWN_ERR")));//_T("Download failed,Please make sure the deivce is turned on and select the right port.")
		GetDlgItem(IDOK)->EnableWindow(TRUE);
	}
}
