// DlgUpgrade.cpp : implementation file
//

#include "stdafx.h"
#include "COM32.h"
#include "DlgUpgrade.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern UINT	WM_DOWNLOADHEX;
/////////////////////////////////////////////////////////////////////////////
// CDlgUpgrade dialog
UINT WM_SOLMETAUPGRADE	= RegisterWindowMessage(_T("SOLMETA UPGRADE FIRMWARE MESSAGE"));

CDlgUpgrade::CDlgUpgrade(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgUpgrade::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgUpgrade)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CDlgUpgrade::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgUpgrade)
	DDX_Control(pDX, IDC_PROGRESS_UPGRADE, m_progress);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgUpgrade, CDialog)
	//{{AFX_MSG_MAP(CDlgUpgrade)
	//}}AFX_MSG_MAP
	ON_REGISTERED_MESSAGE(WM_SOLMETAUPGRADE,OnUpgradeMessage)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgUpgrade message handlers

BOOL CDlgUpgrade::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	GetDlgItem(IDC_STATIC_UPGRADETEXT)->SetWindowText(g_LoadString(_T("IDS_DLGUPGRADE_CONN")));	//_T("Connecting Device ......")
	GetDlgItem(IDOK)->EnableWindow(FALSE);

	GetParent()->PostMessage(WM_DOWNLOADHEX,3,0);
	
	g_SetDialogStrings(this,IDD);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CDlgUpgrade::OnUpgradeMessage(WPARAM wParam, LPARAM lParam)
{
	if(wParam==1)
	{
		GetDlgItem(IDC_STATIC_UPGRADETEXT)->SetWindowText(g_LoadString(_T("IDS_DLGUPGRADE_STATUS")));	//_T("Firmware Upgrading ......")
		m_progress.SetRange32(0,lParam);
		m_progress.SetPos(1);
	}
	else if(wParam==2)
	{
		m_progress.SetPos(m_progress.GetPos()+lParam);
	}
	else if(wParam==3)
	{
		m_progress.SetPos(m_progress.GetPos()+1);
		GetDlgItem(IDC_STATIC_UPGRADETEXT)->SetWindowText(g_LoadString(_T("IDS_DLGUPGRADE_COMPLETED")));	//_T("Upgrade Completed ......")
		GetDlgItem(IDOK)->EnableWindow(TRUE);
	}
	else if(wParam==4)
	{
		GetDlgItem(IDOK)->EnableWindow(TRUE);
	}
}
